/*
  
Macro Scripts File
Developed:  	08 July 2010
Version:  		3ds MAX 9 SP1
Script Name:	Move pivot to the min of the X-axis of spline or object
Version:          1
Author:			Giuliano "PapiGiulio" Garau 
Email:			g.garau@gmail.com
www:			    http://www.papigiulio.net

Disclaimer:
Use this script at your own risk.
Any damage caused by this script is not the responsibility of the author.

*/
--***********************************************************************************************
-- MODIFY THIS AT YOUR OWN RISK

macroScript PivotXMin
category:		"_PapiGiulio"
buttonText:	"PapiPivot"
Tooltip:			"PapiPivot - Pivot X Min"
icon:#("papipivot",7)
    (
		with undo on
		(
		for i in selection do 
			(
				i.pivot = [i.min.x,((i.max.y + i.min.y)/2),((i.max.z + i.min.z)/2)]
			)
		)
	)
