/*
  
Macro Scripts File
Developed:  	08 July 2010
Version:  		3ds MAX 9 SP1
Script Name:	Move pivot to the max of the Y-axis of a spline or object
Version:          1
Author:			Giuliano "PapiGiulio" Garau 
Email:			g.garau@gmail.com
www:			    http://www.papigiulio.net

Disclaimer:
Use this script at your own risk.
Any damage caused by this script is not the responsibility of the author.

*/
--***********************************************************************************************
-- MODIFY THIS AT YOUR OWN RISK

macroScript PivotYMax
category:		"_PapiGiulio"
buttonText:	"PapiPivot"
Tooltip:			"PapiPivot - Pivot Y Max"
icon:#("papipivot",10)
    (
		with undo on
		(
		for i in selection do 
			(
				i.pivot = [((i.max.x + i.min.x)/2),i.max.y,((i.max.z + i.min.z)/2)]
			)
		)
	)
